locked
Error while installing Exchange 2013 on Windows Server 2016 Technical Preview 5 RRS feed

  • Question

  • I get below error message while trying to install Exchange 2013 on Windows Server 2016 Technical Preview 5:

    Error:
    The Windows component Server-Gui-Mgmt-Infra isn't installed on this computer and needs to be installed before Exchange Setup can begin.
    For more information, visit: http://technet.microsoft.com/library(EXCHG.150)/ms.exch.setupreadiness.ServerGuiMgmtInfraNotInstalled.aspx

    I tried to install this feature through PowerShell but getting following error

    Install-WindowsFeature Server-Gui-Mgmt-Infra, Server-Gui-Shell -Restart

    Install-WindowsFeature : ArgumentNotValid: The role, role service, or feature name is not valid:
    'Server-Gui-Mgmt-Infra,Server-Gui-Shell'. The name was not found.
    At line:1 char:1
    + Install-WindowsFeature Server-Gui-Mgmt-Infra, Server-Gui-Shell -Resta ...
    + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        + CategoryInfo          : InvalidArgument: (Server-Gui-Mgmt-Infra,Server-Gui-Shell:String) [Install-WindowsFeature
       ], Exception
        + FullyQualifiedErrorId : NameDoesNotExist,Microsoft.Windows.ServerManager.Commands.AddWindowsFeatureCommand

    Success Restart Needed Exit Code      Feature Result
    ------- -------------- ---------      --------------
    False   No             InvalidArgs    {}



    • Edited by Sunil Rathore85 Tuesday, May 10, 2016 10:43 AM updated error details
    Tuesday, May 10, 2016 10:24 AM

Answers

  • Hi Sunil, 

    Unfortunately, Exchange 2013 will not be supported on Windows Server 2016 at all. Exchange 2016 will be supported on Windows Server 2016 at GA, however Exchange 2016 it is not guaranteed to work on TP5. Sorry for the inconvenience. 

    Thanks,

    Will Gries, Windows Server Program Manager

    Tuesday, May 10, 2016 8:41 PM
  • Hi,

    I did some test in my lab and encountered the same issue with you. The same error received when running the command to install the required windows components for Exchange 2013.

    You should try to install Exchange 2016 instead of Exchange 2013 to have a test as currently no official article said that installing Exchange 2016 on Windows Server 2016 TP5 is a supported scenario.

    Best Regards,

    Alvin Wang


    Please remember to mark the replies as answers if they help and un-mark them if they provide no help. If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.

    • Proposed as answer by Alvwan Wednesday, May 18, 2016 8:10 AM
    • Marked as answer by Amy Wang_ Friday, May 20, 2016 8:05 AM
    Wednesday, May 11, 2016 3:51 AM

All replies

  • Hi Sunil, 

    Unfortunately, Exchange 2013 will not be supported on Windows Server 2016 at all. Exchange 2016 will be supported on Windows Server 2016 at GA, however Exchange 2016 it is not guaranteed to work on TP5. Sorry for the inconvenience. 

    Thanks,

    Will Gries, Windows Server Program Manager

    Tuesday, May 10, 2016 8:41 PM
  • Hi,

    I did some test in my lab and encountered the same issue with you. The same error received when running the command to install the required windows components for Exchange 2013.

    You should try to install Exchange 2016 instead of Exchange 2013 to have a test as currently no official article said that installing Exchange 2016 on Windows Server 2016 TP5 is a supported scenario.

    Best Regards,

    Alvin Wang


    Please remember to mark the replies as answers if they help and un-mark them if they provide no help. If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.

    • Proposed as answer by Alvwan Wednesday, May 18, 2016 8:10 AM
    • Marked as answer by Amy Wang_ Friday, May 20, 2016 8:05 AM
    Wednesday, May 11, 2016 3:51 AM
  • Can Windows 2016 RTM is supported with Exchange 2013 CU15? I am getting same error.

    Thanks,

    Pallavi

    Friday, March 24, 2017 7:26 PM
  • In my case, this isn't possible as I am doing a swing upgrade from Exchange 2007.  So I have to use Exchange 2010/2013 first before upgrading to 2016.

    So I have to blow away my Server 2016 Swing VM and install Server 2012 instead to get Exchange 2013 to work for the swing upgrade.  Then join an Exchange 2016 on Server 2016 for the final swing.

    Thursday, August 17, 2017 8:23 PM